%global dlrn_nvr validations-common-1.6.0-2.20220520004849.a7ed9c1
%global dlrn 1
%define upstream_version 1.6.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-common
%global srcname validations_common

Name:           validations-common
Summary:        A collection of Ansible libraries, Plugins and Roles for the Validation Framework
Version: 1.6.0
Release: 2.20220520004849.a7ed9c1%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-common
Source0: validations-common-1.6.0-2.20220520004849.a7ed9c1.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=a7ed9c1e88d9de64f5de8715acba188027212ed0
Patch0001: 0001-Revert-Renamed-variable-to-something-more-illuminati.patch
Patch0002: 0002-Revert-functools-provide-reduce-instead-of-the-ansib.patch
Patch0003: 0003-Revert-Removing-the-PIP_-string-from-tox.ini.patch
Patch0004: 0004-Revert-Removing-superfluous-imports-from-tests.patch
Patch0005: 0005-Revert-Remove-messages-very-specific-to-CI.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr >= 3.1.1
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-validations-libs

%if %{pyver} == 2
BuildRequires:  ansible >= 2
BuildRequires:  PyYAML
BuildRequires:  python2-mock
BuildRequires:  python2-six
%else
BuildRequires:  python3dist(ansible) >= 2
BuildRequires:  python%{pyver}-PyYAML
%endif

%if %{pyver} == 2
Requires:       ansible >= 2
Requires:       PyYAML
Requires:       python2-six
%else
Requires:       python3dist(ansible) >= 2
Requires:       python%{pyver}-PyYAML
%endif

Requires:       python%{pyver}-pbr >= 3.1.1
Requires:       python%{pyver}-validations-libs

Requires:       python%{pyver}-prettytable

%description
A collection of Ansible librairies, Plugins and Roles for the Validation Framework

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# To handle mock for py2 build
%if %{pyver} == 2
if [ ! -f %{srcname}/library/__init__.py ]; then
touch %{srcname}/library/__init__.py
fi
find ./%{srcname}/tests/ -type f -exec sed -i -e 's/from unittest import mock/import mock/g' {} \;
find ./%{srcname}/tests/ -type f -exec sed -i -e 's/from unittest.mock/from mock/g' {} \;
find ./%{srcname} -type f -exec sed -i -e 's/from urllib import request/from six.moves.urllib import request/g' {} \;
sed -i 's/^import pprint/from __future__ import print_function\nimport pprint/' ./%{srcname}/callback_plugins/validation_output.py
sed -i 's/ConfigParser.SafeConfigParser(strict=False)/ConfigParser.SafeConfigParser()/' ./%{srcname}/library/validations_read_ini.py
sed -i "s/file: '{path}'/file: {path}/" ./%{srcname}/tests/library/test_validations_read_ini.py
%endif

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} stestr-%{pyver} --test-path validations_common/tests run

%files
%doc README* AUTHORS ChangeLog
%license LICENSE
%{pyver_sitelib}/%{srcname}
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/
%exclude %{pyver_sitelib}/validations_common/test*

%changelog
* Thu May 19 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.0-2.20220520004849.a7ed9c1
- Update patches
- feat(removal): tox-ansible support
- fix(molecule): Add ability to run molecule on Fedora
- fix(ci): Install python3 package first
- Molecule test restoration
- Bumping the ansible-lint version to 5.3.2 in order to resolve CI failure
- add pre-update and pre-upgrade groups to ntp playbook

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.0-2.20220112153836.cf7ebdd
- Update patches
- Create clients component for CI Validations Jobs
- Run all validations and fail after for CI role
- CI task for execution of all packaged validations
- Validation Framework functional test expansion
- Adding more validations in the tripleo component test
- Elevating priviledges for the check_package_update
- Use py3 as the default runtime for tox
- Add new metadata keys to the validation playbooks
- Update validations for Ansible 2.11
- Dependency reorganization
- validations_read_ini refactoring
- Fix ntp validation to check chronyd service status on all nodes
- callback adjustment for no hosts matched
- Setting language for the python3.6 tox environment
- Test validations for false positives
- Removing validations-libs from test-requirements
- Add missing font for PDF generation
- reqcheck job is now voting
- fix var name in logging statement
- Removing lookup_plugins data file directive
- Expanded docstrings for library subpackage.
- Coverage change job
- Callback logging unification
- Remove content-provider to decrease CI time
- [advanced_format_512e_support] Add role documentation in sphinx
- [xfs_check_ftype] Add role documentation in sphinx
- Enforce some better rights on temporary files
- [validate_selinux] Add role documentation in sphinx
- [service_status] Add role documentation in sphinx
- [ntp] Add role documentation in sphinx
- [no_op] Add role documentation in sphinx
- [dns] Add role documentation in sphinx
- [check_selinux_mode] Add role documentation in sphinx
- [check_ram] Remove README.md file
- [check_latest_packages_version] Add role documentation in sphinx
- [check_disk_space] Add role documentation in sphinx
- [check_cpu] Remove README.md file
- Fix the way we handle validation cli command in CI role
- Allow comments in variable files to be rendered in docs
- Reorganize CONTRIBUTING information
- Remove messages very specific to CI
- Loop variable name conflict resolution
- Correct the tox option for skipping sdist generation
- Removing superfluous imports from tests
- Removing the 'PIP_+' string from tox.ini
- Enabling indentation rule for yamllint.
- New location of the default log directory.
- functools provide reduce instead of the ansible
- Remove haproxy validation from validations-common
- Renamed variable to something more illuminating.

* Wed Jan 05 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20220105094854.92f51ea
- callback adjustment for no hosts matched (rhbz#2036945)
- Fix ntp validation to check chronyd service status on all nodes (rhbz#2009729)

* Mon Oct 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20211025164927.92f51ea
- Elevating priviledges for the check_package_update (rhbz#2005986)
- Fix ntp validation to check chronyd service status on all nodes (rhbz#2009729)

* Fri Oct 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20211001134817.92f51ea
- Fix ntp validation to check chronyd service status on all nodes (rhbz#2009729)

* Wed Jul 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210721144807.92f51ea
- Remove haproxy validation from validations-common (rhbz#1950533)

* Wed Jun 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210630134813.92f51ea
- Revert "Remove messages very specific to CI" (rhbz#1976300)
- Revert "Removing superfluous imports from tests" (rhbz#1976300)
- Revert "Removing the 'PIP_+' string from tox.ini" (rhbz#1976300)
- Revert "Loop variable name conflict resolution" (rhbz#1976300)
- Revert "Correct the tox option for skipping sdist generation" (rhbz#1976300)
- Revert "New location of the default log directory." (rhbz#1976300)
- Revert "functools provide reduce instead of the ansible" (rhbz#1976300)
- Revert "Renamed variable to something more illuminating." (rhbz#1976300)

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210629004811.92f51ea
- Remove messages very specific to CI
- Loop variable name conflict resolution
- Correct the tox option for skipping sdist generation
- Removing superfluous imports from tests
- Removing the 'PIP_+' string from tox.ini
- New location of the default log directory.
- functools provide reduce instead of the ansible
- Renamed variable to something more illuminating.
- Remove messages very specific to CI
- Loop variable name conflict resolution
- Correct the tox option for skipping sdist generation
- Removing superfluous imports from tests
- Removing the 'PIP_+' string from tox.ini
- New location of the default log directory.
- functools provide reduce instead of the ansible
- Renamed variable to something more illuminating.

* Fri Jun 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210625194809.36a2a11
- Update patches

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210619004813.36a2a11
- Update patches
- Remove messages very specific to CI
- Loop variable name conflict resolution
- Correct the tox option for skipping sdist generation
- Removing superfluous imports from tests
- Removing the 'PIP_+' string from tox.ini

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210611010115.35f34ff
- Update patches
- New location of the default log directory.
- functools provide reduce instead of the ansible

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210610004820.f4c7f00
- Update patches
- Renamed variable to something more illuminating.

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210607092456.92f51ea
- Update patches
- Update Validations Framework IRC channels
- Python 2.7 environment, mimicking the one used by RDO

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210604014813.4b87cf2
- Update patches
- Bump molecule to 3.3.1
- Trigger molecule jobs when modifying the following files

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210528154818.879be13
- Update patches
- Rename local variable component to validation_component for Upstream CI

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210527221122.dbb069f
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210527075730.dbb069f
- Update patches
- Remove Jinja2 constraint

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210523161207.d0d7da0
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210523145048.d0d7da0
- Update patches
- Licences are now listed for all requirements.
- Unblocking the openstack-tox-docs job.
- Adds dockerignore to the repo
- Reqcheck job for upstream validations-common

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210520073703.ae6c7e5
- Update patches
- Temporary fetch logs adjustement to detect log folder
- Remove workaround for tox-ansible and global molecule config
- Add testing for custom callback feature

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210519014822.45a5250
- Update patches
- File validation extended to callback_plugins, main loop optimized
- Added the 'CALLBACK_NEEDS_WHITELIST' attribute.
- Fix callback_type for validation_json.py
- Fix targeting hosts to 'localhost' instead of 'all'
- Sync is no longer loopy
- Bump pre-commit repositories

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210518184805.7f196ad
- Fix callback_type for validation_json.py (rhbz#1960185)

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210518104810.7f196ad
- Added the 'CALLBACK_NEEDS_WHITELIST' attribute. (rhbz#1960185)

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210515004823.7f196ad
- Update patches
- Update of validate-files script

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210514014812.98b33a6
- Update patches
- Artifacts directory path is now set in a variable
- Simple tests for validation_json callback.

* Tue May 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210512004812.a9538a3
- Update patches
- Test for callback initiation.
- Disabling strict mode for ConfigParser in read_ini
- ConfigParser exeption message should be returned

* Thu May 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210507004851.598869b
- Update patches
- Add shared configuration for all molecule test
- Fetch all Validations, json and log files with CI role
- Superfluous imports are now mocked
- Improved test coverage for library/advanced_format.py
- Improved test coverage for library/warn.py

* Tue May 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210505004804.df9d56f
- Update patches
- Remove RoleNames ansible-lint custom rule

* Mon May 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210504004808.54093ee
- Update patches
- Update validations role to be used by tripleo CI and devstack tests

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210501014807.f794304
- Update patches
- Use new CLI for functionnal tests and remove validation.py script
- Adding backup-and-restore validation group

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210430005818.3e4c178
- Update patches
- Version bumps to prepare for rhel9 transition

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210428175658.5e9cb46
- Update patches
- Fixed exception handling of the print_tuple_table method.
- Except block now covers specific errors

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210424004734.8d6e8d4
- Update patches
- Make check_latest_packages_version roles more generic

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- add basic standalone job w/ validate-services true

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Tests for validation.py module and helper classes

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Fallback on PWD for the Validation json log instead of getcwd
- Simple tests for validation_output callback.

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Cover report omits test files

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- [Testing Infra] Apply here the improvements done to tripleo-validations
- Re-add documentation for http_json callback

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- .gitignore now excludes JSON molecule logs

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- packages var renamed to packages_list

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Introduce tox-ansible to validations-common

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Test class for http_json callback.

* Mon Mar 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Make callback write to default if /var/log/validations does not exist

* Fri Mar 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Branching is now considered, line numbers are printed

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Puts DISABLE_PIP_VERSION_CHECK on a separate line

* Mon Mar 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Docs are now built in pdf

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- cli help rework and cleanup
- Simple tests for validation_stdout callback.
- Simple tests for fail_if_no_hosts callback.
- Infrastructure for callback unit tests

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Fixes issues caused by dict unpacking in (90e6133)

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- explanation why plugins don't respect normal naming coventions

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Validations now gather only the subset of facts they need
- Test infrastructure for library scripts along with few samples.

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Add validation-common documentation structure

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Add external http logging callback

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Restrict execution to localhost only
- Make the measuring code coverage test working

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Fix list index out of range

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Update TOX_CONSTRAINTS_FILE
- Remove useless python import
- Restrict Ansible dependency

* Mon Dec 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Mon Dec 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Remove workaround for broken dogpile.cache and lower-constraints file

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Exit with zero status when denials are not found in audit log
- Add default value for validation.py inventory

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- make selinux check only for rhel distribution

* Mon Nov 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Add dedicated stdout callback for VF library

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Correct the validate_selinux working_dir

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Remove ensure-docker role execution

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Exclude non failing gathering facts action in simplified result

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Fix validation and group arguments to accept comma lists

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches
- Install CI roles into share/ansible/roles

* Mon Oct 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1
- Update patches

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use the UBI8 image for testing
- Convert docker molecule usage to podman

* Thu Sep 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated/corrected service_status
- Add missing exec bit

* Wed Sep 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add molecule tests runs back in the CI

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Make mock import python 2.7 compatible"

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lower-constraints errors for validations-common
- Change path for validation Ansible files

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get validation log path if exist

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch legacy Zuul jobs to native Zuul v3 jobs

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pygments style

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation.py as script in setup.cfg

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add TripleO Jobs back"

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Output duration not only on failed and skipped states

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log output results instead of print on the console

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- drop mock from lower-constraints

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation cli script

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid broken dogpile.cache
- Add check-disk-space-pre-upgrade playbooks

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the pytest import.

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the tox minversion parameter.

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move unit tests execution to stestr

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump default tox env from py37 to py38
- Add py38 package metadata

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


